Page MenuHomePhabricator

Update CentralNotice JSHint config to restrict syntax to ES3 (disallow ES5 or ES6)
Closed, ResolvedPublic1 Story Points

Description

As came out from a global crash, when regular browsers of many users refused to operate on wiki pages (details at T136387), the automatic patch inspection should be improved.

ECMA level should be checked.

If you put the rECNO /resources/subscribing/ext.centralNotice.display.state.js code as of rECNO1169f1d27aca132cea636aa970620d5ad70712ee into http://jshint.com/ it will tell you

Line 361 'concise methods' is available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).

Such warnings should block proliferation, and reviewers must not ignore them.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 27 2016, 1:24 PM
Krinkle renamed this task from Introduce automatic ECMA version check on JS patch review to Update CentralNotice JSHint config to restrict syntax to ES3 (disallow ES5 or ES6).May 27 2016, 4:08 PM

Change 291264 had a related patch set uploaded (by Ejegg):
WIP jshint and gruntfile fixes

https://gerrit.wikimedia.org/r/291264

Change 291264 merged by jenkins-bot:
jshint, gruntfile, and compatibility fixes

https://gerrit.wikimedia.org/r/291264

matmarex closed this task as Resolved.May 27 2016, 7:31 PM
matmarex assigned this task to Ejegg.
matmarex removed a project: Patch-For-Review.
Ejegg set the point value for this task to 1.
Ejegg moved this task from Backlog to Done on the Fundraising Sprint Killing Time board.

Change 292368 had a related patch set uploaded (by AndyRussG):
jshint, gruntfile, and compatibility fixes (partial, wmf_deploy branch only)

https://gerrit.wikimedia.org/r/292368

Change 292401 had a related patch set uploaded (by AndyRussG):
Revert "jshint, gruntfile, and compatibility fixes"

https://gerrit.wikimedia.org/r/292401

Change 292402 had a related patch set uploaded (by AndyRussG):
Re-apply "jshint, gruntfile, and compatibility fixes" (part 1)

https://gerrit.wikimedia.org/r/292402

Change 292403 had a related patch set uploaded (by AndyRussG):
Re-apply "jshint, gruntfile, and compatibility fixes" (part 2)

https://gerrit.wikimedia.org/r/292403

Change 292404 had a related patch set uploaded (by AndyRussG):
Re-apply "jshint, gruntfile, and compatibility fixes" (part 1)

https://gerrit.wikimedia.org/r/292404

Change 292368 abandoned by AndyRussG:
jshint, gruntfile, and compatibility fixes (partial, wmf_deploy branch only)

Reason:
See instead I91de8b2dfa

https://gerrit.wikimedia.org/r/292368

Change 292401 abandoned by AndyRussG:
Revert "jshint, gruntfile, and compatibility fixes"

Reason:
Unneeded, was part of planned administrative curiosities

https://gerrit.wikimedia.org/r/292401

Change 292402 abandoned by AndyRussG:
Re-apply "jshint, gruntfile, and compatibility fixes" (part 1)

Reason:
Unneeded, was part of planned administrative curiosities

https://gerrit.wikimedia.org/r/292402

Change 292403 abandoned by AndyRussG:
Re-apply "jshint, gruntfile, and compatibility fixes" (part 2)

Reason:
Unneeded, was part of planned administrative curiosities

https://gerrit.wikimedia.org/r/292403

Change 292404 merged by jenkins-bot:
Re-apply "jshint, gruntfile, and compatibility fixes" (part 1)

https://gerrit.wikimedia.org/r/292404

Change 292503 had a related patch set uploaded (by Awight):
Update extensions/CentralNotice submodule

https://gerrit.wikimedia.org/r/292503

Mentioned in SAL [2016-06-02T23:59:36Z] <awight@tin> Started scap: Deploying labtestwiki AuthManager config; Enabling Popups experiment; CentralNotice fixes for T136408, T136387; Special:Notifications fixes

Mentioned in SAL [2016-06-03T00:24:45Z] <awight@tin> Finished scap: Deploying labtestwiki AuthManager config; Enabling Popups experiment; CentralNotice fixes for T136408, T136387; Special:Notifications fixes (duration: 25m 08s)